const app = require('../../utils/util.js');
const tool = require('../../utils/tool.js');
Page({
  data: {
    avatarUrl: '../../images/morenImg.png',
    tabArr: [{
        name: '我的信息',
        img: '../../images/icon1.jpg',
        url: '/pages/InfoType/InfoType'
      }, {
        name: '我的活动',
        img: '../../images/icon6.jpg',
        url: '/pages/myActive/myActive'
      }, {
        name: '心动0次',
        img: '../../images/icon3.jpg'
      }, {
        name: '被心动0次',
        img: '../../images/icon7.jpg',
        url: ''
      },
      {
        name: '推荐好友',
        img: '../../images/icon5.jpg',
        url: '/pages/share/share'
      }
    ]
  },
  goTab(e) {
    console.log(e.currentTarget.dataset.index)
    if (e.currentTarget.dataset.index != 2 && e.currentTarget.dataset.index != 3) {
      if (this.data.loginStatus) {
        wx.navigateTo({
          url: e.currentTarget.dataset.src
        })
      } else {
        wx.showModal({
          title: '您还未登录',
          showCancel: false
        });
      }
    }
  },
  goIndex() {
    wx.redirectTo({
      url: '/pages/index/index',
    })
  },
  // onShareAppMessage: function (options) {
  //   console.log(options)
  //   var that = this;
  //   // 设置菜单中的转发按钮触发转发事件时的转发内容
  //   var shareObj = {
  //     title: "月合文化", // 默认是小程序的名称(可以写slogan等)
  //     path: '/pages/personal/personal', // 默认是当前页面，必须是以‘/’开头的完整路径
  //     imageUrl: '../../images/photo.jpg', //自定义图片路径，可以是本地文件路径、代码包文件路径或者网络图片路径，支持PNG及JPG，不传入 imageUrl 则使用默认截图。显示图片长宽比是 5:4
  //     success: function (res) {
  //       console.log(res)
  //       // 转发成功之后的回调
  //       if (res.errMsg == 'shareAppMessage:ok') {}
  //     },
  //     fail: function () {
  //       // 转发失败之后的回调
  //       if (res.errMsg == 'shareAppMessage:fail cancel') {
  //         // 用户取消转发
  //       } else if (res.errMsg == 'shareAppMessage:fail') {
  //         // 转发失败，其中 detail message 为详细失败信息
  //       }
  //     }
  //   }
  //   // 来自页面内的按钮的转发
  //   if (options.from == 'button') {
  //     var eData = options.target.dataset;
  //     console.log(eData.name); // shareBtn
  //     // 此处可以修改 shareObj 中的内容
  //     shareObj.path = '/pages/btnname/btnname?btn_name=' + eData.name;
  //   }
  //   // 返回shareObj
  //   return shareObj;
  // },
  bindGetUserInfo: function (e) {
    console.log(e.detail.userInfo)
    this.setData({
      nick: e.detail.userInfo.nickName,
      avatarUrl: e.detail.userInfo.avatarUrl,
      loginStatus: true
    })
    this.upload(e.detail.userInfo.nickName, e.detail.userInfo.avatarUrl);
  },
  upload(nickName, avatar) {
    const form = {
      nickName: nickName,
      avatar: avatar
    }
    wx.request({
      url: app.globalData.publicUrl + '/wx/member/' + this.data.openid + '/info',
      method: "POST",
      header: {
        'content-type': 'application/x-www-form-urlencoded',
      },
      data: form,
      success: (res) => {
        console.log(res)
        if (res.data.code == 0) {
          console.log('上传头像昵称成功')
        }
      }
    })
  },
  getTimes() {
    let myHeartTimes = 'tabArr[2].name'
    wx.request({
      url: app.globalData.publicUrl + '/wx/actives/' + this.data.openid + '/0/myHearts',
      method: "get",
      success: (res) => {
        if (res.data.code == 0) {
          this.setData({
            [myHeartTimes]: '心动' + res.data.heartCount + '次'
          })
        }
        console.log(this.data.tabArr[2].name)
      }
    })
    let myHeartedTimes = 'tabArr[3].name'
    wx.request({
      url: app.globalData.publicUrl + '/wx/actives/' + this.data.openid + '/0/myHearted',
      method: "get",
      success: (res) => {
        if (res.data.code == 0) {
          this.setData({
            [myHeartedTimes]: '被心动' + res.data.heartedCount + '次'
          })
          console.log(this.data.tabArr[3].name)
        }
      }
    })
  },
  getInfos() {
    tool.isLogin().then(res => {
      this.setData({
        avatarUrl: res.userInfo.avatarUrl,
        nick: res.userInfo.nickName,
        loginStatus: true
      })
    }).catch(err => {
      this.setData({
        loginStatus: false
      })
    })
  },
  async onShow() {
    tool.openidStatus().then(result => {
      this.setData({
        openid: result[0],
        sessionkey: result[1]
      })
      this.getInfos();
      this.getTimes();
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },
  onShareTimeline: function () {
    return {
      title: '测试',
      query: {
        id: 0
      },
      imageUrl: '../../images/icon1.png'
    }
  },
})